# Constant Field Values

## Contents

- org.postgresql.*

## org.postgresql.*

org.postgresql.PGStatement
Modifier and Type
Constant Field
Value
`public static final long`
`DATE_NEGATIVE_INFINITY`
`-9223372036832400000L`
`public static final long`
`DATE_NEGATIVE_SMALLER_INFINITY`
`-185543533774800000L`
`public static final long`
`DATE_POSITIVE_INFINITY`
`9223372036825200000L`
`public static final long`
`DATE_POSITIVE_SMALLER_INFINITY`
`185543533774800000L`

org.postgresql.core.Field
Modifier and Type
Constant Field
Value
`public static final int`
`BINARY_FORMAT`
`1`
`public static final int`
`TEXT_FORMAT`
`0`
org.postgresql.core.Oid
Modifier and Type
Constant Field
Value
`public static final int`
`BIT`
`1560`
`public static final int`
`BIT_ARRAY`
`1561`
`public static final int`
`BOOL`
`16`
`public static final int`
`BOOL_ARRAY`
`1000`
`public static final int`
`BOX`
`603`
`public static final int`
`BOX_ARRAY`
`1020`
`public static final int`
`BPCHAR`
`1042`
`public static final int`
`BPCHAR_ARRAY`
`1014`
`public static final int`
`BYTEA`
`17`
`public static final int`
`BYTEA_ARRAY`
`1001`
`public static final int`
`CHAR`
`18`
`public static final int`
`CHAR_ARRAY`
`1002`
`public static final int`
`CIDR`
`650`
`public static final int`
`CIRCLE`
`718`
`public static final int`
`DATE`
`1082`
`public static final int`
`DATE_ARRAY`
`1182`
`public static final int`
`FLOAT4`
`700`
`public static final int`
`FLOAT4_ARRAY`
`1021`
`public static final int`
`FLOAT8`
`701`
`public static final int`
`FLOAT8_ARRAY`
`1022`
`public static final int`
`INET`
`869`
`public static final int`
`INT2`
`21`
`public static final int`
`INT2_ARRAY`
`1005`
`public static final int`
`INT4`
`23`
`public static final int`
`INT4_ARRAY`
`1007`
`public static final int`
`INT8`
`20`
`public static final int`
`INT8_ARRAY`
`1016`
`public static final int`
`INTERVAL`
`1186`
`public static final int`
`INTERVAL_ARRAY`
`1187`
`public static final int`
`JSON`
`114`
`public static final int`
`JSON_ARRAY`
`199`
`public static final int`
`JSONB`
`3802`
`public static final int`
`JSONB_ARRAY`
`3807`
`public static final int`
`LINE`
`628`
`public static final int`
`LSEG`
`601`
`public static final int`
`MACADDR`
`829`
`public static final int`
`MACADDR8`
`774`
`public static final int`
`MONEY`
`790`
`public static final int`
`MONEY_ARRAY`
`791`
`public static final int`
`NAME`
`19`
`public static final int`
`NAME_ARRAY`
`1003`
`public static final int`
`NUMERIC`
`1700`
`public static final int`
`NUMERIC_ARRAY`
`1231`
`public static final int`
`OID`
`26`
`public static final int`
`OID_ARRAY`
`1028`
`public static final int`
`PATH`
`602`
`public static final int`
`POINT`
`600`
`public static final int`
`POINT_ARRAY`
`1017`
`public static final int`
`POLYGON`
`604`
`public static final int`
`REF_CURSOR`
`1790`
`public static final int`
`REF_CURSOR_ARRAY`
`2201`
`public static final int`
`TEXT`
`25`
`public static final int`
`TEXT_ARRAY`
`1009`
`public static final int`
`TIME`
`1083`
`public static final int`
`TIME_ARRAY`
`1183`
`public static final int`
`TIMESTAMP`
`1114`
`public static final int`
`TIMESTAMP_ARRAY`
`1115`
`public static final int`
`TIMESTAMPTZ`
`1184`
`public static final int`
`TIMESTAMPTZ_ARRAY`
`1185`
`public static final int`
`TIMETZ`
`1266`
`public static final int`
`TIMETZ_ARRAY`
`1270`
`public static final int`
`TSQUERY`
`3615`
`public static final int`
`TSVECTOR`
`3614`
`public static final int`
`UNSPECIFIED`
`0`
`public static final int`
`UUID`
`2950`
`public static final int`
`UUID_ARRAY`
`2951`
`public static final int`
`VARBIT`
`1562`
`public static final int`
`VARBIT_ARRAY`
`1563`
`public static final int`
`VARCHAR`
`1043`
`public static final int`
`VARCHAR_ARRAY`
`1015`
`public static final int`
`VOID`
`2278`
`public static final int`
`XML`
`142`
`public static final int`
`XML_ARRAY`
`143`
org.postgresql.core.QueryExecutor
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_SAVE_POINTS`
`1000`
`public static final int`
`QUERY_BOTH_ROWS_AND_STATUS`
`64`
`public static final int`
`QUERY_DESCRIBE_ONLY`
`32`
`public static final int`
`QUERY_DISALLOW_BATCHING`
`128`
`public static final int`
`QUERY_EXECUTE_AS_SIMPLE`
`1024`
`public static final int`
`QUERY_FORCE_DESCRIBE_PORTAL`
`512`
`public static final int`
`QUERY_FORWARD_CURSOR`
`8`
`public static final int`
`QUERY_NO_BINARY_TRANSFER`
`256`
`public static final int`
`QUERY_NO_METADATA`
`2`
`public static final int`
`QUERY_NO_RESULTS`
`4`
`public static final int`
`QUERY_ONESHOT`
`1`
`public static final int`
`QUERY_READ_ONLY_HINT`
`2048`
`public static final int`
`QUERY_SUPPRESS_BEGIN`
`16`

org.postgresql.core.v3.replication.V3PGReplicationStream
Modifier and Type
Constant Field
Value
`public static final long`
`POSTGRES_EPOCH_2000_01_01`
`946684800000L`

org.postgresql.jdbc.EscapedFunctions
Modifier and Type
Constant Field
Value
`public static final String`
`ABS`
`"abs"`
`public static final String`
`ACOS`
`"acos"`
`public static final String`
`ASCII`
`"ascii"`
`public static final String`
`ASIN`
`"asin"`
`public static final String`
`ATAN`
`"atan"`
`public static final String`
`ATAN2`
`"atan2"`
`public static final String`
`CEILING`
`"ceiling"`
`public static final String`
`CHAR`
`"char"`
`public static final String`
`CONCAT`
`"concat"`
`public static final String`
`COS`
`"cos"`
`public static final String`
`COT`
`"cot"`
`public static final String`
`CURDATE`
`"curdate"`
`public static final String`
`CURTIME`
`"curtime"`
`public static final String`
`DATABASE`
`"database"`
`public static final String`
`DAYNAME`
`"dayname"`
`public static final String`
`DAYOFMONTH`
`"dayofmonth"`
`public static final String`
`DAYOFWEEK`
`"dayofweek"`
`public static final String`
`DAYOFYEAR`
`"dayofyear"`
`public static final String`
`DEGREES`
`"degrees"`
`public static final String`
`EXP`
`"exp"`
`public static final String`
`FLOOR`
`"floor"`
`public static final String`
`HOUR`
`"hour"`
`public static final String`
`IFNULL`
`"ifnull"`
`public static final String`
`INSERT`
`"insert"`
`public static final String`
`LCASE`
`"lcase"`
`public static final String`
`LEFT`
`"left"`
`public static final String`
`LENGTH`
`"length"`
`public static final String`
`LOCATE`
`"locate"`
`public static final String`
`LOG`
`"log"`
`public static final String`
`LOG10`
`"log10"`
`public static final String`
`LTRIM`
`"ltrim"`
`public static final String`
`MINUTE`
`"minute"`
`public static final String`
`MOD`
`"mod"`
`public static final String`
`MONTH`
`"month"`
`public static final String`
`MONTHNAME`
`"monthname"`
`public static final String`
`NOW`
`"now"`
`public static final String`
`PI`
`"pi"`
`public static final String`
`POWER`
`"power"`
`public static final String`
`QUARTER`
`"quarter"`
`public static final String`
`RADIANS`
`"radians"`
`public static final String`
`REPEAT`
`"repeat"`
`public static final String`
`REPLACE`
`"replace"`
`public static final String`
`RIGHT`
`"right"`
`public static final String`
`ROUND`
`"round"`
`public static final String`
`RTRIM`
`"rtrim"`
`public static final String`
`SECOND`
`"second"`
`public static final String`
`SIGN`
`"sign"`
`public static final String`
`SIN`
`"sin"`
`public static final String`
`SPACE`
`"space"`
`public static final String`
`SQL_TSI_DAY`
`"DAY"`
`public static final String`
`SQL_TSI_FRAC_SECOND`
`"FRAC_SECOND"`
`public static final String`
`SQL_TSI_HOUR`
`"HOUR"`
`public static final String`
`SQL_TSI_MINUTE`
`"MINUTE"`
`public static final String`
`SQL_TSI_MONTH`
`"MONTH"`
`public static final String`
`SQL_TSI_QUARTER`
`"QUARTER"`
`public static final String`
`SQL_TSI_ROOT`
`"SQL_TSI_"`
`public static final String`
`SQL_TSI_SECOND`
`"SECOND"`
`public static final String`
`SQL_TSI_WEEK`
`"WEEK"`
`public static final String`
`SQL_TSI_YEAR`
`"YEAR"`
`public static final String`
`SQRT`
`"sqrt"`
`public static final String`
`SUBSTRING`
`"substring"`
`public static final String`
`TAN`
`"tan"`
`public static final String`
`TIMESTAMPADD`
`"timestampadd"`
`public static final String`
`TIMESTAMPDIFF`
`"timestampdiff"`
`public static final String`
`TRUNCATE`
`"truncate"`
`public static final String`
`UCASE`
`"ucase"`
`public static final String`
`USER`
`"user"`
`public static final String`
`WEEK`
`"week"`
`public static final String`
`YEAR`
`"year"`

org.postgresql.largeobject.LargeObject
Modifier and Type
Constant Field
Value
`public static final int`
`SEEK_CUR`
`1`
`public static final int`
`SEEK_END`
`2`
`public static final int`
`SEEK_SET`
`0`
org.postgresql.largeobject.LargeObjectManager
Modifier and Type
Constant Field
Value
`public static final int`
`READ`
`262144`
`public static final int`
`READWRITE`
`393216`
`public static final int`
`WRITE`
`131072`

org.postgresql.sspi.SSPIClient
Modifier and Type
Constant Field
Value
`public static final String`
`SSPI_DEFAULT_SPN_SERVICE_CLASS`
`"POSTGRES"`

org.postgresql.util.DriverInfo
Modifier and Type
Constant Field
Value
`public static final String`
`DRIVER_FULL_NAME`
`"PostgreSQL JDBC Driver 42.5.5"`
`public static final String`
`DRIVER_NAME`
`"PostgreSQL JDBC Driver"`
`public static final String`
`DRIVER_SHORT_NAME`
`"PgJDBC"`
`public static final String`
`DRIVER_VERSION`
`"42.5.5"`
`public static final String`
`JDBC_VERSION`
`"4.2"`
`public static final int`
`MAJOR_VERSION`
`42`
`public static final int`
`MINOR_VERSION`
`5`
`public static final int`
`PATCH_VERSION`
`5`
org.postgresql.util.HostSpec
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_NON_PROXY_HOSTS`
`"localhost|127.*|[::1]|0.0.0.0|[::0]"`